#
# spec file for package python3-isodate
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-isodate
Version:        0.5.4
Release:        5.2
Url:            https://pypi.python.org/pypi/isodate
Summary:        An ISO 8601 Date/Time/Duration Parser and Formatter
License:        BSD-3-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/i/isodate/isodate-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# this is needed for openSUSE <= 12.2
BuildRequires:  python3
BuildRequires:  python3-2to3
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
Requires:       python3
BuildArch:      noarch

%description
This module implements ISO 8601 date, time and duration parsing.
The implementation follows ISO8601:2004 standard, and implements only
date/time representations mentioned in the standard. If something is not
mentioned there, then it is treated as non existent, and not as an allowed
option.

%prep
%setup -q -n isodate-%{version}

%build
2to3 -w -n ./
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python3 setup.py test

%files
%defattr(-,root,root,-)
%doc CHANGES.txt README.rst TODO.txt
%{python3_sitelib}/*

%changelog
* Mon Aug 10 2015 arun@gmx.de
- update to version 0.5.4:
  * Fix parsing of Periods (Fabien Bochu)
  * Make Duration objects hashable (Geoffrey Fairchild)
  * Add multiplication to duration (Reinoud Elhorst)
* Fri Jan  2 2015 arun@gmx.de
- specfile:
  * updated copyright year
  * update url
  * README is now a .rst
- update to version 0.5.1:
  * fixed pickling of Duration objects
  * raise ISO8601Error when there is no 'T' separator in datetime strings (Adrian Coveney)
- changes from version 0.5.0:
  * ISO8601Error are subclasses of ValueError now (Michael Hrivnak)
  * improve compatibility across various python variants and versions
  * raise exceptions when using fractional years and months in date maths with durations
  * renamed method todatetime on Duraction objects to totimedelta
* Wed Apr 17 2013 toddrme2178@gmail.com
- Re-add python-2to3.  It is needed for OpenSUSE <= 12.2
* Tue Apr 16 2013 p.drouand@gmail.com
- Remove BuildRequires: python-2to3, useless since included in main
  python devel package
- Add Requires: python3; fix build for OpenSUSE <= 12.2
* Wed Jan 30 2013 saschpe@suse.de
- Use 2to3 to fix build
* Sun Jan 13 2013 p.drouand@gmail.com
- Initial python3 support
